// packageB/conference/conferenceSign/conferenceSign.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if(options.id){
      this.setData({
        id : options.id
      });
    }
    let scene = decodeURIComponent(options.scene);
    // 扫码进入
    if (scene) {
      let chil_arr = scene.split('=');
      if (chil_arr[0] == 'id') {
        this.setData({
          id: chil_arr[1]
        });
      }
    }
    wx.setNavigationBarTitle({
      title: '活动签到',
    });
    this.getData();
  },
  getData() {
    let urlStr = app.getNetAddresss("plugin.conference.api.conference-activity.save-sign");
    app._getNetWork({
      url: urlStr,
      data: {
        conference_id: this.data.id
      },
      success: function (resdata) {
        var res = resdata.data;
        wx.showToast({
          title: res.msg,
          duration: 1500,
          icon: 'none',
          complete: function () {
            setTimeout(() => {
              wx.reLaunch({
                url: '/packageG/index/index',
              });
            }, 1500);
          }
        });
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});